Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0

Defines the methods and properties required by types that support accessing hosts via proxy servers.

This interface is implemented by the type.

- Property
  System.Net.ICredentials

  Gets or sets the credentials to submit to the proxy server for authentication.

  A instance that contains the credentials needed to authenticate a request to the proxy server.

  The instance set and returned by the property contains the credentials that are sent to the proxy server in response to an HTTP 407 ( ) status code.

  Use this property to set the credentials supplied in response to HTTP 407 status code messages.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Uri `` A specifying the requested Internet resource.

  Returns the Uniform Resource Identifier (URI) of a proxy server.

  A instance containing the URI of the proxy used to contact .

  The method returns the URI of the proxy server that handles requests to the Internet resource specified in the parameter.

  Use this method to get the URI of the proxy server used to access the specified resource.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The of the server to check for proxy use.

  Returns a value that indicates whether the proxy server is not used to access a specified server.

  if the proxy server is not used to access the server specified in ; otherwise, .

  The value returned by the method indicates whether requests that access the server specified in the parameter bypass the proxy server.

  If is , requests and responses between the client and are not required to go through the proxy server.

  0
  1.0.5000.0
  2.0.0.0
0